AI Clothes Virtual Try-On//
- Run an AI Cloths task.
List predefined templates.
Check the status of a AI Cloths task.
Run an AI Cloths task.
This endpoint initiates the clothing virtual try-on process. You can use a template ID or provide reference images (source and reference files). The task will be processed asynchronously, and you can check its status using the task_id returned in this response.
Security
BearerAuthenticationV2
Any of:
Control whether shoes should be swapped when a full body reference image with shoes is available for processing.
Default:true
Url of the file to run task. The url should be publicly accessible.
Example:"https://example.com/selfie.jpg"
Url of the reference file to run task. The url should be publicly accessible.
Example:"https://example.com/accessory.jpg"
POST
- any
- any (2)
- any (3)
- any (4)
- any (5)
- any (6)
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/cloth \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"ref_file_url": "https://example.com/accessory.jpg",
"garment_category": "full_body",
"change_shoes": true
}'Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }